> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connector Action Details

> Get a specific action details for a connector



## OpenAPI

````yaml get /connectors/{connectorId}/actions/{actionId}
openapi: 3.0.1
info:
  title: Connectivity API
  description: >
    The Alloy Connectivity API enables you to create and manage MCP (Model
    Context Protocol) servers that provide secure, controlled access to platform
    integrations for AI assistants.
  version: '1.0'
  contact:
    name: Alloy Support
    email: support@runalloy.com
    url: https://runalloy.com
servers:
  - url: https://production.runalloy.com
    description: Production server
security: []
tags:
  - name: Connectors
    description: Get connector details and execute actions
  - name: Credentials
    description: Manage credentials for connectors
  - name: Files
    description: Manage file uploads and downloads
  - name: Users
    description: Manage users
paths:
  /connectors/{connectorId}/actions/{actionId}:
    get:
      tags:
        - Connectors
      summary: Get Connector Action Details
      description: Get a specific action details for a connector
      operationId: get-connector-action-details
      parameters:
        - name: x-api-version
          in: header
          required: true
          description: API version
          schema:
            type: string
            default: 2025-09
          example: 2025-09
        - name: x-alloy-userid
          in: header
          required: false
          description: >-
            The ID of the user making the request; If not provided, the request
            will be made as the API Key user
          schema:
            type: string
          example: 68b666094a6821e749c36006
        - name: connectorId
          in: path
          required: true
          description: Connector ID
          schema:
            type: string
          example: slack
        - name: actionId
          in: path
          required: true
          description: Action ID
          schema:
            type: string
          example: chat_postMessage
      responses:
        '200':
          description: Action details
          content:
            application/json:
              example:
                action:
                  id: chat_postMessage
                  displayName: Post
                  description: Posts a message into a channel.
                  httpMethod: post
                  path: /chat.postMessage
                  parameters:
                    - name: token
                      in: header
                      description: 'Authentication token. Requires scope: `chat:write`'
                      required: true
                      schema:
                        type: string
                  requestBody:
                    required:
                      - channel
                      - text
                    type: object
                    properties:
                      as_user:
                        type: string
                        description: >-
                          Pass true to post the message as the authed user,
                          instead of as a bot. Defaults to false. See
                          [authorship](#authorship) below.
                      attachments:
                        type: string
                        description: >-
                          A JSON-based array of structured attachments,
                          presented as a URL-encoded string.
                      blocks:
                        title: Block Kit blocks
                        type: array
                        description: >-
                          This is a very loose definition, in the future, we'll
                          populate this with deeper schema in this definition
                          namespace.
                        items:
                          required:
                            - type
                          type: object
                          properties:
                            type:
                              type: string
                      channel:
                        type: string
                        description: >-
                          Channel, private group, or IM channel to send message
                          to. Can be an encoded ID, or a name. See
                          [below](#channels) for more details.
                      icon_emoji:
                        type: string
                        description: >-
                          Emoji to use as the icon for this message. Overrides
                          `icon_url`. Must be used in conjunction with `as_user`
                          set to `false`, otherwise ignored. See
                          [authorship](#authorship) below.
                      icon_url:
                        type: string
                        description: >-
                          URL to an image to use as the icon for this message.
                          Must be used in conjunction with `as_user` set to
                          false, otherwise ignored. See
                          [authorship](#authorship) below.
                      link_names:
                        type: boolean
                        description: Find and link channel names and usernames.
                      mrkdwn:
                        type: boolean
                        description: >-
                          Disable Slack markup parsing by setting to `false`.
                          Enabled by default.
                      parse:
                        type: string
                        description: >-
                          Change how messages are treated. Defaults to `none`.
                          See [below](#formatting).
                      reply_broadcast:
                        type: boolean
                        description: >-
                          Used in conjunction with `thread_ts` and indicates
                          whether reply should be made visible to everyone in
                          the channel or conversation. Defaults to `false`.
                      text:
                        type: string
                        description: >-
                          How this field works and whether it is required
                          depends on other fields you use in your API call. [See
                          below](#text_usage) for more detail.
                      thread_ts:
                        type: string
                        description: >-
                          Provide another message's `ts` value to make this
                          message a reply. Avoid using a reply's `ts` value; use
                          its parent instead.
                      unfurl_links:
                        type: boolean
                        description: >-
                          Pass true to enable unfurling of primarily text-based
                          content.
                      unfurl_media:
                        type: boolean
                        description: Pass false to disable unfurling of media content.
                      username:
                        type: string
                        description: >-
                          Set your bot's user name. Must be used in conjunction
                          with `as_user` set to false, otherwise ignored. See
                          [authorship](#authorship) below.
                  sampleSuccessResponse:
                    ok: true
                    channel: C1H9RESGL
                    ts: '1503435956.000247'
                    message:
                      text: Here's a message for you
                      username: ecto1
                      bot_id: B19LU7CSY
                      attachments:
                        - text: This is an attachment
                          id: 1
                          fallback: This is an attachment's fallback
                      type: message
                      subtype: bot_message
                      ts: '1503435956.000247'
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````